#ifndef HTTP_H
#define HTTP_H

#include <stdlib.h>

typedef enum {
    HttpMethodGet,
    HttpMethodPost,
} HttpMethod;

typedef struct {
    HttpMethod method;
    size_t path_index, path_length;
    size_t content_length;
    size_t body_index;
} HttpRequestHeader;

HttpRequestHeader parse_http_request_header(const char* message, size_t message_size);

#endif
