const reviewContainer = document.getElementById("reviews-container")!
const reviewRedirect = document.getElementById("review-redirect")!
const main = document.getElementById("main")!

reviewRedirect.addEventListener("click", () => {
    main.innerHTML = `<h2 id="reviews-title">Anmeldelser</h2>
    <div id="reviews-container"></div>`

});

export function addReview(location: string, title: string, content: string, stars: number) {
    const id = Math.random() * 1000000
    reviewContainer.innerHTML += 
    `<div id="review${id}">
    <h3>${title}</h3>
    <p>${location}</p>
    <p>${content}</p>
    <p>${stars} stjerner</p>
    </div>`
}

