// handles automatically sizing the topbar

export function setTopbarOffset() {
    const height = document.getElementById("topbar")!.getBoundingClientRect().height;
    const root: HTMLElement = document.querySelector(":root")!;
    root.style.setProperty("--topbar-offset", `${height}px`);
}

export function addToggleDropdownListener() {
    const element = document.getElementById("dropdown-button")!;
    const dropdown = document.getElementById("dropdown")!;
    element.addEventListener("click", () => {
        dropdown.classList.toggle("enabled");
    });
}
